package L8_JUnit.tests;
/**
 * These samples are simplified versions of the project available on the class 
 * "Kompetens szoftvertesztelés a gyakorlatban" https://w1.inf.unideb.hu/dtk/costip (in hungarian)
 */
import L8_JUnit.model.FooObject;
import L8_JUnit.model.UnderTestService;
import L8_JUnit.model.UnderTestServiceImpl;
import org.junit.Test;

import static org.junit.Assert.*;

public class Test001Basic {

    UnderTestService underTestService = new UnderTestServiceImpl();

    @Test
    /**
     * The underTestService.getFooObject method
     * returns the object with a given known and existing ID
     */
    public void testFindById() {

        int testId = 10;
        FooObject fooObject = underTestService.getFooObject(testId);
        assertNotNull("fooObject could not be found by id: "+testId,fooObject);
        assertEquals(fooObject.getId(), testId);

    }
}
