package L8_JUnit.tests;
/**
 * These samples are simplified versions of the project available on the class 
 * "Kompetens szoftvertesztelés a gyakorlatban" https://w1.inf.unideb.hu/dtk/costip (in hungarian)
 */
import L8_JUnit.model.FooObject;
import L8_JUnit.model.UnderTestService;
import L8_JUnit.model.UnderTestServiceImpl;
import org.junit.Test;

import static org.junit.Assert.*;

public class Test002More {

    UnderTestService underTestService = new UnderTestServiceImpl();
    @Test
    /**
     * The underTestService.getFooObject method
     * returns the object with a given known and existing ID
     */
    public void testFindByIdExists() {
        int testId = 10;
        FooObject fooObject = underTestService.getFooObject(testId);
        assertNotNull(fooObject);
        assertEquals(fooObject.getId(), testId);
    }
    @Test
     /**
     * The underTestService.getFooObject method
     * returns null for non existing IDs
     */
    public void testFindByIdNotExists() {
        FooObject fooObject = underTestService.getFooObject(-10);
        assertNull(fooObject);
        fooObject = underTestService.getFooObject(101);
        assertNull(fooObject);
    }
}
