package L8_JUnit.tests;
/**
 * These samples are simplified versions of the project available on the class 
 * "Kompetens szoftvertesztelés a gyakorlatban" https://w1.inf.unideb.hu/dtk/costip (in hungarian)
 */
import L8_JUnit.model.FooObject;
import L8_JUnit.model.UnderTestService;
import L8_JUnit.model.UnderTestServiceImpl;
import org.junit.Test;
import static org.junit.Assert.*;

public class Test003Asserts {

    UnderTestService underTestService = new UnderTestServiceImpl();

    @Test
    /**
     * If the ID exists the method must not return null
     * Make this test work
     */
    public void testNotNullAssert() {
        FooObject fooObjectNotNull = underTestService.getFooObject(10);
    }

    @Test
    /**
     * If the ID does not exist, return null
     * Make this test work
     */
    public void testNullAssert() {
        FooObject fooObjectNull = underTestService.getFooObject(10);
    }

    @Test
    /**
     * Make this test work only by changing
     * one assignment
     */
    public void testSameAssert() {

        Object obj1 = new Object();

        Object obj2 = new Object();

        Object obj3 = new Object();

        assertSame(obj1,obj2);

        assertNotSame(obj1,obj3);
    }

    @Test
    /**
     * Make this test automatically fail
     */
    public void testFail() {
        
    }

}

